package com.kospo.talk.payload;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.v3.oas.annotations.media.Schema;

import java.time.LocalDateTime;
import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
@Schema(name = "ITalkMessageDto", description = "톡 메시지")
public interface ITalkMessageDto {
    @Schema(name = "talkId", description = "톡방아이디")
    String getTalkId();
    @Schema(name = "sabun", description = "사번")
    String getSabun();
    @Schema(name = "message", description = "내용")
    String getMessage();
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss.SSSSSS", timezone = "Asia/Seoul")
    @Schema(name = "insDate", description = "등록일")
    LocalDateTime getInsDate();
    @Schema(name = "insName", description = "등록자")
    String getInsName();
    @Schema(name = "line", description = "라인")
    Integer getLine();
    @Schema(name = "searchYn", description = "검색여부")
    boolean getSearchYn();
}
